Phone & voice · Phone Numbers

Get KYC form spec

Fetches a KYC form spec.

GEThttps://api.pozy.ai/v1/phone-numbers/kyc
getPhoneNumberKycForm

Guides: KYC for regulated countries, Phone numbers

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the telephony resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
countryrequiredstring
numberTypestringOne of local, mobile, national, toll_free

Example

curl -X GET "https://api.pozy.ai/v1/phone-numbers/kyc?country=US" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • countrystring
  • numberTypestring
  • fieldsarray of object
    • requirementIdstring
    • labelstring
    • kindstring

      One of text, date, address, file, action.

    • descriptionstring

      Can be null.

    • examplestring

      Can be null.

    • localTostring

      Can be null.

  • reusableobject

    Can be null.

    • availableboolean
    • fromPhoneNumberstring
    • detailsarray of object
      2 child fields
      • labelstring
      • valuestring
    • optionsarray of object
      4 child fields
      • idstring
      • fromPhoneNumberstring
      • instantboolean
      • detailsarray of object
        3 child fields
        • labelstring
        • valuestring
        • documentIdstring
  • pendingReviewboolean
200 response
{
  "country": "US",
  "numberType": "string",
  "fields": [
    {
      "requirementId": "6296509a322aab288a61cc5d",
      "label": "string",
      "kind": "text",
      "description": "A short description",
      "example": "string",
      "localTo": "string"
    }
  ],
  "reusable": {
    "available": true,
    "fromPhoneNumber": "+14155550123",
    "details": [
      {
        "label": "string",
        "value": "string"
      }
    ],
    "options": [
      {
        "id": "6bfebd43ddc270f6d2c56fc5",
        "fromPhoneNumber": "+14155550123",
        "instant": true,
        "details": [
          {
            "label": "string",
            "value": "string",
            "documentId": "663401f11b591db15bd1bbd9"
          }
        ]
      }
    ]
  },
  "pendingReview": true
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Phone Numbers